package com.zehong.system.service;

import com.zehong.system.domain.*;
import java.util.List;

public interface ITStatisticsService {

    /**
     * 项目交易收入
     * @param tTradeProject 交易实体
     * @return
     */
    List<TradeIncomeStatistics> tradeIncomeStatistics(TTradeProject tTradeProject);

    /**
     * 项目交易支出
     * @param tTradeProject 交易实体
     * @return
     */
    List<TradeExpensesStatistics> tradeExpensesStatistics(TTradeProject tTradeProject);

    /**
     * 借支
     * @param tBorrowingApplyFor 借支实体
     * @return
     */
    List<TBorrowingStatistics> borrowingStatistics(TBorrowingApplyFor tBorrowingApplyFor);

    /**
     * 采购统计
     * @param tPurchase  采购实体
     * @return
     */
    List<TPurchaseStatistics> purchaseStatistics(TPurchase tPurchase);
}
